components:
  schemas:
    Session_v1_3_0_Actions:
      additionalProperties: false
      description: The available actions for this Resource.
      properties:
        Oem:
          $ref: '#/components/schemas/Session_v1_3_0_OemActions'
          description: The available OEM-specific actions for this Resource.
          x-longDescription: This property shall contain the available OEM-specific
            actions for this Resource.
          x-versionAdded: v1_1_0
      type: object
      x-longDescription: This type shall contain the available actions for this Resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Session_v1_3_0_OemActions:
      additionalProperties: true
      description: The available OEM-specific actions for this Resource.
      properties: {}
      type: object
      x-longDescription: This type shall contain the available OEM-specific actions
        for this Resource.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
    Session_v1_3_0_Session:
      additionalProperties: false
      description: The Session Resource describes a single connection (session) between
        a client and a Redfish Service instance.
      properties:
        '@odata.context':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_context
        '@odata.etag':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_etag
        '@odata.id':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_id
        '@odata.type':
          $ref: http://redfish.dmtf.org/schemas/v1/odata-v4.yaml#/components/schemas/odata-v4_type
        Actions:
          $ref: '#/components/schemas/Session_v1_3_0_Actions'
          description: The available actions for this Resource.
          x-longDescription: This property shall contain the available actions for
            this Resource.
          x-versionAdded: v1_1_0
        ClientOriginIPAddress:
          description: The IP address of the client that created the session.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the IP address of the client
            that created the session.
          x-versionAdded: v1_3_0
        Description:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Description
          nullable: true
          readOnly: true
        Id:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Id
          readOnly: true
        Name:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Name
          readOnly: true
        Oem:
          $ref: http://redfish.dmtf.org/schemas/v1/Resource.yaml#/components/schemas/Resource_Oem
          description: The OEM extension property.
          x-longDescription: This property shall contain the OEM extensions.  All
            values for properties that this object contains shall conform to the Redfish
            Specification-described requirements.
        OemSessionType:
          description: The active OEM-defined session type.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: When SessionType is reported as OEM, this property should
            report the OEM-specific session type.  Thus, this property shall represent
            the type of OEM session that is currently active.
          x-versionAdded: v1_2_0
        Password:
          description: The password for this session.  The value is `null` in responses.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the password for this session.  The
            value shall be `null` in responses.
        SessionType:
          $ref: '#/components/schemas/Session_v1_3_0_SessionTypes'
          description: The active session type.
          nullable: true
          readOnly: true
          x-longDescription: This property shall represent the type of session that
            is currently active.
          x-versionAdded: v1_2_0
        UserName:
          description: The UserName for the account for this session.
          nullable: true
          readOnly: true
          type: string
          x-longDescription: This property shall contain the user name that matches
            an account recognized by the Account Service.
      required:
      - '@odata.id'
      - '@odata.type'
      - Id
      - Name
      type: object
      x-longDescription: This Resource shall represent a session for a Redfish implementation.
      x-patternProperties:
        ^([a-zA-Z_][a-zA-Z0-9_]*)?@(odata|Redfish|Message)\.[a-zA-Z_][a-zA-Z0-9_]*$:
          description: This property shall specify a valid odata or Redfish property.
      x-requiredOnCreate:
      - UserName
      - Password
    Session_v1_3_0_SessionTypes:
      enum:
      - HostConsole
      - ManagerConsole
      - IPMI
      - KVMIP
      - OEM
      - Redfish
      - VirtualMedia
      - WebUI
      type: string
      x-enumDescriptions:
        HostConsole: The host's console, which could be connected through Telnet,
          SSH, or other protocol.
        IPMI: Intelligent Platform Management Interface.
        KVMIP: Keyboard-Video-Mouse over IP Session.
        ManagerConsole: The manager's console, which could be connected through Telnet,
          SSH, SM CLP, or other protocol.
        OEM: OEM Type.  For OEM session types, see the OemSessionType property.
        Redfish: A Redfish session.
        VirtualMedia: Virtual media.
        WebUI: A non-Redfish web user interface session, such as a graphical interface
          or another web-based protocol.
title: '#Session.v1_3_0.Session'
x-copyright: Copyright 2014-2020 DMTF. For the full DMTF copyright policy, see http://www.dmtf.org/about/policies/copyright
x-owningEntity: DMTF
x-release: '2020.3'
